Improve this doc View source

# `pfEmptyState`
directive in module `patternfly.views`

## Description

Component for rendering an empty state.

## Usage

as element:

    <pf-empty-state
           config="{object}"
           action-buttons="{array}">
    </pf-empty-state>

#### Parameters

Param | Type | Details
--- | --- | ---

config

object

Optional configuration object

- .icon - (string) class for main icon. Ex. 'pficon pficon-add-circle-o'
- .title - (string) Text for the main title
- .info - (string) Text for the main informational paragraph

actionButtons

array

Buttons to display under the icon, title, and informational paragraph.

- .name - (String) The name of the action, displayed on the button
- .title - (String) Optional title, used for the tooltip
- .actionFn - (function(action)) Function to invoke when the action selected
- .type - (String) Optional type property. Set to 'main' to be displayed as a main action button. If unspecified, action button will be displayed as a secondary action button.

## Example

#### Source

#### Demo